<input
  #file
  type="file"
  hidden
  (change)="onFileChange($event)"
  [accept]="accept.join(',')"
/>

<button
  class="file-upload-add-button"
  [disabled]="
    disabled || (maxCount > -1 && fileUploads.length >= maxCount) ? true : null
  "
  (click)="file.click()"
>
  <span class="file-upload-add-button__doc-text">{{ fileLabel }}</span>
  <span class="file-upload-add-button__add-text">+ Yüklə</span>
</button>

<app-file-upload-item
  *ngFor="let file of fileUploads"
  [name]="file.name"
  [type]="file.type"
  [size]="file.size"
  [hasDownloadButton]="hasDownloadButton"
  [hasDeleteButton]="hasDeleteButton"
  (deleteFile)="onDeleteFile(file.id)"
  (downloadFile)="onDownloadFile(file.id)"
></app-file-upload-item>
